org.apache.ignite.internal.processors.cache.query

## Class GridCacheQueryManager.RequestFutureMap

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap<K,V>
    - - java.util.LinkedHashMap<Long,GridFutureAdapter<GridCacheQueryManager.QueryResult<K,V>>>
      - - org.apache.ignite.internal.processors.cache.query.GridCacheQueryManager.RequestFutureMap

All Implemented Interfaces:
  Serializable, Cloneable, Map<Long,GridFutureAdapter<GridCacheQueryManager.QueryResult<K,V>>>

Enclosing class:
  GridCacheQueryManager<K,V>

    public class GridCacheQueryManager.RequestFutureMap
    extends LinkedHashMap<Long,GridFutureAdapter<GridCacheQueryManager.QueryResult<K,V>>>

The map prevents put to the map in case the specified request has been removed previously.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.util.AbstractMap

`AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

### Constructor Summary

Constructors
Constructor and Description
`RequestFutureMap()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isCanceled(Long key)`
`GridFutureAdapter<GridCacheQueryManager.QueryResult<K,V>>` `remove(Object key)`

### Methods inherited from class java.util.LinkedHashMap

`clear, containsValue, entrySet, forEach, get, getOrDefault, keySet, removeEldestEntry, replaceAll, values`

### Methods inherited from class java.util.HashMap

`clone, compute, computeIfAbsent, computeIfPresent, containsKey, isEmpty, merge, put, putAll, putIfAbsent, remove, replace, replace, size`

### Methods inherited from class java.util.AbstractMap

`equals, hashCode, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Map

`compute, computeIfAbsent, computeIfPresent, containsKey, equals, hashCode, isEmpty, merge, put, putAll, putIfAbsent, remove, replace, replace, size`

### Constructor Detail

#### RequestFutureMap

    public RequestFutureMap()

### Method Detail

#### remove

    public GridFutureAdapter<GridCacheQueryManager.QueryResult<K,V>> remove(Object key)

Specified by:
  `remove` in interface `Map<Long,GridFutureAdapter<GridCacheQueryManager.QueryResult<K,V>>>`
Overrides:
  `remove` in class `HashMap<Long,GridFutureAdapter<GridCacheQueryManager.QueryResult<K,V>>>`

#### isCanceled

    public boolean isCanceled(Long key)

Returns:
  true if the key is canceled

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023